+ Post New Thread
Page 358 of 598 FirstFirst ... 258 308 348 356 357 358 359 360 368 408 458 ... LastLast
Threads 8926 to 8950 of 14950

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 54,758
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 58,338
    18th Sep 2006 10:46 pm Go to last post
  1. Focus cursor to Autocad

    Hi Using (textpage) as you know opens up the text window. I have this in my code - however the problem is that the cursor is focused on the text window forcing the user to left click on to the...

    Started by Small Fish‎, 12th Aug 2010 12:39 am
    • Replies: 4
    • Views: 1,474
    13th Aug 2010 05:32 am Go to last post
  2. Modifying DUCT lisp (by StykFacE)

    I ran acros this great lisp routine couple of days ago. I modified it so i have a centerline in a duct mline because its like a standard way of drawing ducts where i work. Of course i didnt know how...

    Started by sakinen‎, 4th Jul 2009 12:06 am
    • Replies: 8
    • Views: 4,739
    12th Aug 2010 03:48 pm Go to last post
  3. Not difficult (if you know how to...) Set multiple variables...

    Just for the learningprocess, not for the worthy of the routine... How can I make the repetitive "setvar" more appropriate? Like (setvar '("cursorsize" 1 "xdwgfadectl" 20 ... etc... I have no...

    Started by MarcoW‎, 11th Aug 2010 09:59 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 3,542
    12th Aug 2010 04:20 am Go to last post
  4. Using vl-directory-files to populate list box

    I'm trying to learn the vl path to lisp programming and I've run into a little snag using the 'vl-directory-files' command to populate a list box. The sample program I'm working on works fine and...

    Started by lfe011969‎, 9th Aug 2010 05:23 pm
    2 Pages
    1 2
    • Replies: 15
    • Views: 5,222
    11th Aug 2010 07:30 pm Go to last post
  5. Lisp not functioning correctly

    I have a lisp (see below) that I'm writing to create a Revision Status of Sheets block on the front sheet of our drawings. It's supposed to be a long rectangle separated by vertical lines spaced...

    Started by lfe011969‎, 11th Aug 2010 05:49 pm
    • Replies: 7
    • Views: 1,268
    11th Aug 2010 06:42 pm Go to last post
  6. LSP Problems.

    I am using a library in autocad 2010 but the lsp file does not automatically load. I use the lsp command and find the file I need and load it in, but I need to do this every time I start up autocad....

    Started by ajcarr4‎, 11th Aug 2010 11:25 am
    • Replies: 3
    • Views: 1,541
    11th Aug 2010 12:01 pm Go to last post
  7. Using entmakex in UCS

    While replacing some command calls in my lisps with entmakes (thanks to Lee Mac), I ran into a case where I needed to draw a variety of things in an arbitrary UCS. I managed to get points working...

    Started by CALCAD‎, 29th Jul 2010 01:00 am
    2 Pages
    1 2
    • Replies: 17
    • Views: 4,053
    10th Aug 2010 07:52 pm Go to last post
  8. dcl help

    How do i get the X button (top right corner button) to work?

    Started by Lt Dan's legs‎, 10th Aug 2010 06:35 pm
    • Replies: 8
    • Views: 1,596
    10th Aug 2010 07:15 pm Go to last post
  9. Text Style height & (getvar 'textsize)

    Hi, I wonder how to get the Text Style height as long as the (getvar 'textsize) is different than that. (entmakex (list (cons 0 "TEXT") (cons 10 pt) ...

    Started by Tharwat‎, 10th Aug 2010 01:26 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 3,548
    10th Aug 2010 05:40 pm Go to last post
  10. Write a LIST into a file

    Hi can anybody give an advice in order to write a LIST into a *.txt file? (defun c:prueba4() (setq a (entsel)) (setq b (entget(car a))) (setq pt1 (cdr(assoc 10 b))) (setq f(open "ppr.txt"...

    Started by marc578‎, 6th Aug 2010 05:15 am
    2 Pages
    1 2
    list autolisp write
    • Replies: 19
    • Views: 4,538
    10th Aug 2010 05:28 pm Go to last post
  11. Select By Handle

    Hi All Is it possible to select entities in by providing their HANDLE value to ssget or any other function. I have tried but result is nil. Command: (setq...

    Started by gpd‎, 27th Jul 2010 05:05 pm
    • Replies: 4
    • Views: 4,895
    10th Aug 2010 05:15 pm Go to last post
  12. Easy way to retrieve user profile name?

    trying to make a lisp my coworker's and I can use. I'm stuck on user profile name :oops: (defun c:STAMP (/ opt date ent text) (initget 1 "Date Name") (setq opt (getkword "\nSpecify stamp :...

    Started by Lt Dan's legs‎, 10th Aug 2010 12:42 pm
    • Replies: 6
    • Views: 1,316
    10th Aug 2010 03:31 pm Go to last post
  13. Upgraded LayIso

    Not sure if I posted this a while back, but its a fun one all the same :) (defun c:hl ( / *error* gr pt ent lay ObjSS OldCM NulSS ) (vl-load-com) ;; Lee Mac ~ 08.01.10 (defun...

    Started by Lee Mac‎, 24th May 2010 11:00 pm
    6 Pages
    1 2 3 ... 6
    • Replies: 56
    • Views: 13,764
    10th Aug 2010 01:34 pm Go to last post
  14. Check circle on layer

    Dear all, I'm writing a lisp,anybody can help me ? I have many layers for user to select by dcl dialog box, after selected the items (may be more than one) by user,I will turn on this layer and...

    Started by ahyin‎, 4th Aug 2010 10:48 am
    • Replies: 4
    • Views: 1,342
    10th Aug 2010 09:15 am Go to last post
  15. Cool Replace multiple blocks using a table

    I have done a fair bit of web scouring to find a good method for replacing multiple blocks. There are some pretty decent vba codes out there for block replacement, the Office Optimum "Replace Block"...

    Started by hosannabizarre‎, 10th Aug 2010 05:36 am
    block, multiple, replace, table
    • Replies: 1
    • Views: 2,836
    10th Aug 2010 07:57 am Go to last post
  16. Need help creating a few lisp routines or one lisp routine with multiple commands.

    Need help creating a few lisp routines or one lisp routine with multiple commands. Creating Detail blocks for HVAC standards The person who worked before me was not being consistent with...

    Started by cadmando2‎, 9th Aug 2010 08:01 pm
    • Replies: 3
    • Views: 3,712
    10th Aug 2010 04:39 am Go to last post
  17. Multiple Selection Dialog box

    Dear freinds, I am searching for a dialog box throughwhich we can select the Multiple drawings. Anybody having this routine? Regards, Muthu.

    Started by muthu123‎, 8th Aug 2010 01:46 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 4,342
    9th Aug 2010 08:27 pm Go to last post
  18. list to globally change text height & width factor

    Hi, is anybody who has the lisp routine that can globally change the height & width factor of text, mtext and attrbiutes in a block:(. Your help is much appreciated. Thanks, courage dog

    Started by The Courage Dog‎, 11th Mar 2010 07:20 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 7,992
    9th Aug 2010 08:06 pm Go to last post
  19. A different kind of the offset command

    Good day to all of you, my question is as follows: Is there any form to offset a line from a base, but one line in any given distance and the other in another given distance? Thank you very much in...

    Started by jcap91163‎, 2nd Aug 2010 07:58 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 5,100
    9th Aug 2010 02:37 pm Go to last post
  20. how can we call dll created in .Net from Vlisp?

    Dear friends, How can we call the .NET dll from Vlisp? Regards, Muthu.

    Started by muthu123‎, 8th Aug 2010 01:48 pm
    • Replies: 4
    • Views: 2,620
    9th Aug 2010 11:51 am Go to last post
  21. Cool Change colour of all objects within blocks in a drawing file using a batch process

    I created an action macro to do the following: 1) Select all objects 2) Change the colour to "140" I saved it as "ActMacro001" I needed to apply this macro to heaps of files, and used...

    Started by hosannabizarre‎, 9th Aug 2010 02:40 am
    batch, blocks, colour, nested, process
    • Replies: 9
    • Views: 7,381
    9th Aug 2010 11:15 am Go to last post
  22. Protected Lisp File

    I was doing some spring clean at work “EESI”, cleaning up directories on are server. :? I have come a cross an old Lisp file that was created by a pass-retired employee. The program was for...

    Started by cadmando2‎, 2nd Jun 2008 09:23 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 15,713
    9th Aug 2010 09:59 am Go to last post
  23. Creating Rectangles

    Hi Everybody When creating a rectangle first we pick a point and then pick opposite point or give the dimensions. Is it possible to first create a rectangle of specified dimensions and then pick...

    Started by gpd‎, 7th Aug 2010 03:23 pm
    • Replies: 6
    • Views: 2,955
    9th Aug 2010 09:42 am Go to last post
  24. Text trim box need help

    I have a lisp that is supposed to create a Polyline box around selected text, trim lines within the box, and then delete the box. I am, however, having some issues getting it to run properly. ...

    Started by germslyde‎, 29th Jul 2010 03:42 pm
    break, lisp, text, textbox, trim
    • Replies: 2
    • Views: 2,479
    9th Aug 2010 06:34 am Go to last post
  25. sssetfirst ?

    How can I look for a text by its contents ? The text is for example : abc The following code is not selecting the text .... why ? (sssetfirst nil (ssget "_x" '((0 . "TEXT,MTEXT")(1 ....

    Started by Michaels‎, 8th Aug 2010 02:45 pm
    • Replies: 8
    • Views: 2,733
    8th Aug 2010 04:25 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts